#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;
struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data()
{
    Input in;
    size_t number_count;
    cerr << "Enter number count: ";
    cin >> number_count;

    in.numbers.resize(number_count);
    vector<double> numbers(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
        cerr << "Enter numbers: ";
        cin >> in.numbers[i];
    }
    size_t bin_count;
    cerr << "Enter bin count: ";
    cin >> in.bin_count;
    return in;
}

int main()
{
    Input in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);

    double min, max;
    double bin_size = (max - min) / in.bin_count;
    // show_histogram_text(bins, in.bin_count, bin_size);
    show_histogram_svg(bins);
    //#  +  ()

}
//  | 3 3 5 5 5 4 4 4 4 4
